import {$post,$get} from './main'
/**
 *获取机构登录信息
 */ 
export function GetUserLoginInfo(params){
    return new Promise(resolve=>{
        $get('/plus/ajaxs.ashx?a=checkislogin&json=1',params,{
            takeUserIdAndAppToken:false
        }).then(res=>{
            resolve(res.data)
        })
    })
    
}

/**
 *考试内页
 */ 
export function PaperDesc(params){
    return new Promise(resolve=>{
        $get('/webapi/Paper/PaperDesc',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *交卷
 */ 
export function SetPaperAnswer(params){
    return new Promise(resolve=>{
        $post('/webapi/Paper/SetPaperAnswer',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *发放证书
 */ 
export function GetYQWXCertificatePaper(params){
    return new Promise(resolve=>{
        $get('/webapi/Certificate/GetYQWXCertificatePaper',params).then(res=>{
            resolve(res.data)
        })
    })   
}

 
/**
 *试卷显示
 */ 
export function GetPaperDetail(params){
    return new Promise(resolve=>{
        $get('/webapi/Paper/GetPaperDetail',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *考试结果
 */ 
export function GetPerformance(params){
    return new Promise(resolve=>{
        $get('/webapi/Paper/GetPerformance',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *成绩排行
 */ 
export function GetGradeRankList(params){
    return new Promise(resolve=>{
        $get('/webapi/Paper/GetGradeRankList',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *试卷解析
 */ 
export function GetRecordDetail(params){
    return new Promise(resolve=>{
        $get('/webapi/Paper/GetRecordDetail',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *心得体会
 */ 
export function GetPaperFeelList(params){
    return new Promise(resolve=>{
        $get('/webapi/Paper/GetPaperFeelList',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *发表心得
 */ 
export function SavePaperFeel(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/SavePaperFeel',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *发表心得回复
 */ 
export function SavePaperFeelComment(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/SavePaperFeelComment',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *获取心得回复的列表
 */ 
export function GetPaperFeelComment(params){
    return new Promise(resolve=>{
        $get('/webapi/paper/GetPaperFeelComment',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *收藏试题
 */ 
export function SetPaperCollect(params){
    return new Promise(resolve=>{
        $get('/webapi/user/SetPaperCollect',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *试题纠错类型
 */ 
export function GetPaperErrortype(params){
    return new Promise(resolve=>{
        $get('/webapi/paper/GetPaperErrortype',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**
 *试题纠错
 */ 
export function SetTkCorrection(params){
    return new Promise(resolve=>{
        $post('/webapi/user/SetTkCorrection',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**单题提交接口 */
export function SubmitPaperAnswer(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/SubmitPaperAnswer',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**练习列表 */
export function GetTestTk(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/GetTestTk',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**结束练习 */
export function EndTest(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/EndTest',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**学生自己评分 */
export function PaperSubjective(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/PaperSubjective',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**学生提交评分 */
export function SubmitGrade(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/SubmitGrade',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**每日一练日期 */
export function GetDailyTestDateList(params){
    return new Promise(resolve=>{
        $get('/webapi/paper/GetDailyTestDateList',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**每日一练内容 */
export function GetDailyTestPaper(params){
    return new Promise(resolve=>{
        $get('/webapi/paper/getDailyTestPaper',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**每日一练结束练习 */
export function EndDailyTest(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/EndDailyTest',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**购买试卷 */
export function PayPaper(params){
    return new Promise(resolve=>{
        $post('/webapi/paper/PayPaper',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**课程练习记录 */
export function GetTestRecordList(params){
    return new Promise(resolve=>{
        $get('/webapi/user/GetTestRecordList',params).then(res=>{
            resolve(res.data)
        })
    })   
}

/**试卷分类 */
export function GetAllPaperCategory(params){
    return new Promise(resolve=>{
        $get('/webapi/paper/GetAllPaperCategory',params).then(res=>{
            resolve(res.data)
        })
    })   
}

